System 2.0.0.0 4.0.0.0 System.Net.Mail.AttachmentBase To be added.

Represents an embedded external resource in an email attachment, such as an image in an HTML attachment.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of using the supplied .

  A stream that contains the content for this embedded resource.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of using the specified file name.

  The file name holding the content for this embedded resource.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of with the values supplied by and .

  A stream that contains the content for this embedded resource.
  The type of the content.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of with the specified and media type.

  A stream that contains the content for this embedded resource.
  The MIME media type of the content.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of with the specified file name and content type.

  The file name that holds the content for this embedded resource.
  The type of the content.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of with the specified file name and media type.

  The file name that holds the content for this embedded resource.
  The MIME media type of the content.
- Property
  2.0.0.0
  4.0.0.0
  System.Uri To be added. To be added.

  Gets or sets a URI that the resource must match.

- Method
  2.0.0.0
  4.0.0.0
  System.Net.Mail.LinkedResource `` To be added.

  Creates a object from a string to be included in an email attachment as an embedded resource. The default media type is plain text, and the default content type is ASCII.

  A object that contains the embedded resource to be included in the email attachment.

  A string that contains the embedded resource to be included in the email attachment.
- Method
  2.0.0.0
  4.0.0.0
  System.Net.Mail.LinkedResource `` `` To be added.

  Creates a object from a string to be included in an email attachment as an embedded resource, with the specified content type, and media type as plain text.

  A object that contains the embedded resource to be included in the email attachment.

  A string that contains the embedded resource to be included in the email attachment. The type of the content.
- Method
  2.0.0.0
  4.0.0.0
  System.Net.Mail.LinkedResource `` `` `` To be added.

  Creates a object from a string to be included in an email attachment as an embedded resource, with the specified content type, and media type.

  A object that contains the embedded resource to be included in the email attachment.

  A string that contains the embedded resource to be included in the email attachment. The type of the content. The MIME media type of the content.